### Method

# Fwupd Device get_vendor_id

deprecated: 1.5.5 since: 0.9.4

#### Declaration [src]

    const gchar*
    fwupd_device_get_vendor_id (
      FwupdDevice* self
    )

#### Description [src]

Gets the combined device vendor ID.

Available since: 0.9.4

Deprecated since: 1.5.5

Use `fwupd_device_get_vendor_ids()` instead.

#### Return value

Type: `const gchar*`

The device vendor, e.g. ‘USB:0x1234|PCI:0x5678’, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.